--- Makefile-libbz2_so.orig	2009-01-07 13:22:38.000000000 -0600
+++ Makefile-libbz2_so	2009-01-07 13:26:16.000000000 -0600
@@ -35,10 +35,21 @@
       bzlib.o
 
 all: $(OBJS)
-	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.4 $(OBJS)
-	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.4
-	rm -f libbz2.so.1.0
-	ln -s libbz2.so.1.0.4 libbz2.so.1.0
+	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.5 $(OBJS)
+	rm -f libbz2.so.1.0 libz2.so.1 libbz2.so
+        ln -s libbz2.so.1.0.5 libbz2.so.1.0
+	ln -s libbz2.so.1.0.5 libbz2.so.1
+	ln -s libbz2.so.1.0.5 libbz2.so
+	$(CC) $(CFLAGS) -c bzip2.c
+	$(CC) $(CFLAGS) -o bzip2-shared bzip2.o libbz2.so.1.0.5
+
+all_ppc: $(OBJS)
+	$(CC) -shared -o libbz2.so.1.0.2 $(OBJS)
+	rm -f libbz2.so.1.0 libbz2.a
+	ln -s libbz2.so.1.0.5 libbz2.so.1
+	ar -qv libbz2.a libbz2.so.1
+	$(CC) $(CFLAGS) -c bzip2.c
+	$(CC) $(CFLAGS) -o bzip2-shared bzip2.o libbz2.a
 
 clean: 
 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.4 libbz2.so.1.0 bzip2-shared
--- Makefile-libbz2_so.nongcc.orig	1969-12-31 18:00:00.000000000 -0600
+++ Makefile-libbz2_so.nongcc	2009-01-07 13:37:16.000000000 -0600
@@ -0,0 +1,40 @@
+# This Makefile builds a shared version of the library, 
+# libbz2.so.1.0.5, with soname libbz2.so.1.0 on AIX without gcc
+# Please see the README file for some 
+# important info about building the library like this.
+
+SHELL=/bin/sh
+CC=cc
+BIGFILES=-D_FILE_OFFSET_BITS=64
+CFLAGS=-O2 
+
+OBJS= blocksort.o  \
+      huffman.o    \
+      crctable.o   \
+      randtable.o  \
+      compress.o   \
+      decompress.o \
+      bzlib.o
+
+all: $(OBJS)
+	$(CC) -G -Wl,-hlibbz2.so.1 -o libbz2.so.1.0.5 $(OBJS)
+	rm -f libbz2.so.1.0 libbz2.so.1 libbz2.so
+	ln -s libbz2.so.1.0.5 libbz2.so.1.0
+	ln -s libbz2.so.1.0.5 libbz2.so.1
+	ln -s libbz2.so.1.0.5 libbz2.so
+	$(CC) $(CFLAGS) -c bzip2.o
+	$(CC) $(CFLAGS) -o bzip2-shared bzip2.o libbz2.so
+
+all_ppc: $(OBJS)
+	$(CC) -G -o libbz2.so.1.0.5 $(OBJS)
+	rm -f libbz2.so.1.0 libbz2.a
+	ln -s libbz2.so.1.0.5 libbz2.so.1
+	ar -qv libbz2.a libbz2.so.1
+	$(CC) $(CFLAGS) -c bzip2.o
+	$(CC) $(CFLAGS) -o bzip2-shared bzip2.o libbz2.a
+
+clean: 
+	rm -f $(OBJS) bzip2.o libnz2.a libbz2.so.1.0.5 libbz2.so.1.0 bzip2-shared
+
+.c.o:
+	$(CC) $(CFLAGS) -c $<
